Package com.avaya.clientservices.call

## Enum TransferProgressCode

- java.lang.Object
- - java.lang.Enum<TransferProgressCode>
  - - com.avaya.clientservices.call.TransferProgressCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TransferProgressCode>`

      public enum TransferProgressCode
      extends java.lang.Enum<TransferProgressCode>

  The status of an in-progress transfer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEPTED` | The transfer request is accepted.
    `NONE` | The transfer is not yet started, default status.
    `REMOTE_CALL_ESTABLISHED` | The call is accepted by transfer target and call is established between transferer and transfer target.
    `REMOTE_CALL_IN_PROGRESS` | The call is ringing at the transfer target's end.
    `REMOTE_CALL_STARTED` | The transferee is attempting to call transfer target.
    `STARTED` | The transfer is started, transfer request is sent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransferProgressCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TransferProgressCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TransferProgressCode NONE

      The transfer is not yet started, default status.

    - #### STARTED

          public static final TransferProgressCode STARTED

      The transfer is started, transfer request is sent.

    - #### ACCEPTED

          public static final TransferProgressCode ACCEPTED

      The transfer request is accepted.

    - #### REMOTE_CALL_STARTED

          public static final TransferProgressCode REMOTE_CALL_STARTED

      The transferee is attempting to call transfer target.

    - #### REMOTE_CALL_IN_PROGRESS

          public static final TransferProgressCode REMOTE_CALL_IN_PROGRESS

      The call is ringing at the transfer target's end.

    - #### REMOTE_CALL_ESTABLISHED

          public static final TransferProgressCode REMOTE_CALL_ESTABLISHED

      The call is accepted by transfer target and call is established between transferer and transfer target.

  - ### Method Detail

    - #### values

          public static TransferProgressCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferProgressCode c : TransferProgressCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferProgressCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null